Page 1 of 5

Later version of mono for Raspberry Pi 2

Posted: Mon 30 Mar 2015 7:47 pm
by steve
WARNING - following these instructions now cause Mono 4.2 or 4.6 to be installed, which may cause problems with the detection of USB stations. I do not know what the solution is at the moment.

If you are using MX on a Raspberry Pi 2 and want to use decimal commas, it is possible to install a later version mono which should allow this. Note that if you have already been running with 'English' settings, you will not be able to carry on using the same data if you change to your 'native' settings with decimal commas.

So, if you're feeling brave, this is what you do. Do not attempt this on an earlier Raspberry Pi, only on a Pi 2!

First, remove the existing mono:

sudo apt-get remove mono-complete

Then, install the latest version:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo "deb http://download.mono-project.com/repo/debian wheezy main" | sudo tee /etc/apt/sources.list.d/mono-xamarin.list
sudo apt-get update && sudo apt-get upgrade
sudo apt-get install mono-complete

It appears that with version, you don't need to do 'sudo mozroots --import --ask-remove' to install the trusted root certificates, they are installed automatically.

Re: Later version of mono for Raspberry Pi 2

Posted: Sat 23 May 2015 3:59 pm
by rogerthn
THANKS for more than this :D
One minor correction
sudo apt-get update && apt-get upgrade
should be

Code: Select all

sudo apt-get update && sudo apt-get upgrade

Re: Later version of mono for Raspberry Pi 2

Posted: Sat 23 May 2015 4:10 pm
by steve
Thanks - I've edited my post.

Re: Later version of mono for Raspberry Pi 2

Posted: Sat 26 Dec 2015 9:30 pm
by willyweather
Hi Steve ... Had a "desaster" with my raspberry pi and the cumulus installation one week ago...

Probably I will have to setup the raspian and CumulusMX again from scratch ...

Therefore I m interested in the date when you issued the first line of the post, i.e. When did you issue that warning ...

Regards, Wilfried

Re: Later version of mono for Raspberry Pi 2

Posted: Sat 26 Dec 2015 11:29 pm
by water01
Top right of the first post says Mar 30th 2015.

Re: Later version of mono for Raspberry Pi 2

Posted: Sun 27 Dec 2015 10:32 am
by steve
I don't know when I edited the post to add that warning, sorry.

Re: Later version of mono for Raspberry Pi 2

Posted: Sun 27 Dec 2015 10:58 am
by willyweather
OK, no problem.
Just searching for the Mono release version which has been in use in my station until the system broke. This version didn't have the issue with the USB as mentioned in your warning and worked perfectly also with German locales...

Re: Later version of mono for Raspberry Pi 2

Posted: Sun 27 Dec 2015 11:01 am
by steve
The 4.0 releases seem to be good, from what I remember.

Re: Later version of mono for Raspberry Pi 2

Posted: Sun 27 Dec 2015 7:24 pm
by willyweather
OK, thanks, Steve!

No the big question comes up - how do I get this version of mono 4.0 ?!? (not a real question to you, since that has basically nothing to do with Cumulus ..)

I tried to update mono in the normal way from 3.2.8 to the latest "stable" release ... it was 4.2.1.102... damn!! :(
and, moreover, your warning proved to be true: it didn't find my Heavy Wheather station anymore ...

I'm working on it ...

best regards,

Wilfried

Re: Later version of mono for Raspberry Pi 2

Posted: Sun 27 Dec 2015 8:55 pm
by rogerthn
I'm running 3.2.8 with Swedish locale i.e. decimal commas
http://sandaysoft.com/forum/viewtopic.p ... 05#p113305
Might be that I've en_GB.UTF-8 as default and sv_SE.UTF-8 is generated?

Re: Later version of mono for Raspberry Pi 2

Posted: Sun 27 Dec 2015 11:10 pm
by steve
3.2.8 isn't supposed to be able to parse strings which contain numbers with decimal commas. That means that when Cumulus reads in the data from the log files when it starts up (to pre-load the graphs) for example, it shouldn't be able to interpret the values correctly. So I don't really know how that's working for you. Generation of the NOAA reports is something else that shouldn't be working.

And regarding 4.2.1, I'll have a go at installing that myself and see if I can work out what the USB problem is.

Re: Later version of mono for Raspberry Pi 2

Posted: Mon 28 Dec 2015 7:20 am
by rogerthn
OK.
No idea what NOAA reports are ;)
Part of my Dashboard below i.e. I am :D
Dashboard.PNG

Re: Later version of mono for Raspberry Pi 2

Posted: Mon 28 Dec 2015 7:59 am
by willyweather
Great ! thanks, Steve :D

It turned out to be not so easy to get a mono version other than the latest stable one.
(At least for me "windows dummy" ...)
And I guess that this might be a time bomb also for other users ... Just do a general sw :o update and your system is not working any more ... :o

My onl other alternative is to reinstall the whole old system and let it run under English locale ...

Wish you good luck, again, thanks a lot!

Wilfried

Re: Later version of mono for Raspberry Pi 2

Posted: Mon 28 Dec 2015 10:09 am
by steve
rogerthn wrote:Part of my Dashboard below i.e. I am :D
Yes, but if you restart Cumulus, what do your graphs look like immediately afterwards?

Re: Later version of mono for Raspberry Pi 2

Posted: Mon 28 Dec 2015 10:14 am
by steve
willyweather wrote:It turned out to be not so easy to get a mono version other than the latest stable one.
In this thread, the user got version 4.0.2 fairly easily: http://sandaysoft.com/forum/viewtopic.p ... 5&p=113229

Does that not get you 4.0.2 now?

Edit: I tried adding deb http://plugwash.raspbian.org/mono4 jessie-mono4 main to my sources.list, installed mono-complete, and got mono 4.0.2, which detected my Fine Offset station.